#
# spec file for package rubygem-builder-3_0
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           rubygem-builder-3_0
Version:        3.0.4
Release:        11.3
%define mod_name builder
%define mod_full_name %{mod_name}-%{version}

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ruby-macros >= 1
BuildRequires:  rubygem(rdoc) > 3.10
Url:            http://onestepback.org
Source:         %{mod_full_name}.gem
Summary:        Builders for MarkUp
License:        MIT
Group:          Development/Languages/Ruby

%description
Builder provides a number of builder objects that make creating structured
data
simple to do.  Currently the following builder objects are supported:
* XML Markup
* XML Events

%package doc
Summary:        RDoc documentation for %{mod_name}
Group:          Development/Languages/Ruby
Requires:       %{name} = %{version}

%description doc
Documentation generated at gem installation time.
Usually in RDoc and RI formats.

%package testsuite
Summary:        Test suite for %{mod_name}
Group:          Development/Languages/Ruby
Requires:       %{name} = %{version}

%description testsuite
Test::Unit or RSpec files, useful for developers.

%prep
#gem_unpack
#if you need patches, apply them here and replace the # with a % sign in the surrounding lines
#gem_build

%build

%install
%gem_install -f

%files
%defattr(-,root,root,-)
%{_libdir}/ruby/gems/%{rb_ver}/cache/%{mod_full_name}.gem
%{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_full_name}/
%exclude %{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_full_name}/test
%{_libdir}/ruby/gems/%{rb_ver}/specifications/%{mod_full_name}.gemspec

%files doc
%defattr(-,root,root,-)
%doc %{_libdir}/ruby/gems/%{rb_ver}/doc/%{mod_full_name}/

%files testsuite
%defattr(-,root,root,-)
%{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_full_name}/test

%changelog
* Sat Nov  3 2012 coolo@suse.com
- updated to version 3.0.4
  * Included the to_xs arity patch needed for weird Rails compatibility
  issue.
  * Escaping newlines in attributes now.
  * Allow method caching
  * Ruby 1.9 compatiblity issues.
* Mon Aug  6 2012 coolo@suse.com
- buildrequire rdoc
* Sat Jul 28 2012 coolo@suse.com
- update to latest gem2rpm
* Fri Mar 23 2012 saschpe@suse.de
- Spec file cleanup:
  * Factory preparation
* Wed Dec 14 2011 jreidinger@suse.com
- decrease significantly size of package ( remove useless xctags
  file which has almsot 3MB)
* Mon Jun 20 2011 mrueckert@suse.de
- initial package for the 3.0 branch (3.0.0)
